Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 8841)
@@ -44,5 +44,5 @@
 !-----------------------------------------------------------------------
 &namcrs        !   Grid coarsening for dynamics output and/or
-               !   passive tracer coarsened online simulations
+!              !   passive tracer coarsened online simulations
 !-----------------------------------------------------------------------
 /
@@ -51,5 +51,5 @@
 !-----------------------------------------------------------------------
 !          ! file name ! frequency (hours)    ! variable ! time interp. ! clim  !'yearly' or ! weights  ! rotation !
-!          !           !  (if <0  months)     !   name   !  (logical)   ! (T/F) ! 'monthly'  ! filename ! pairing  
+!          !           !  (if <0  months)     !   name   !  (logical)   ! (T/F) ! 'monthly'  ! filename ! pairing
    cn_dir        = './'      !  root directory for the location of the runoff files
    ln_tsd_init   = .false.   !  Initialisation of ocean T & S with T &S input data (T) or not (F)
@@ -87,7 +87,4 @@
 &namsbc_ssr    !   surface boundary condition : sea surface restoring
 !-----------------------------------------------------------------------
-   nn_sssr     =     0     !  add a damping     term in the surface freshwater flux (=2)
-   rn_deds     =   -27.7   !  magnitude of the damping on salinity   [mm/day]
-   ln_sssr_bnd =   .false. !  flag to bound erp term (associated with nn_sssr=2)
 /
 !-----------------------------------------------------------------------
@@ -204,4 +201,8 @@
 !-----------------------------------------------------------------------
    ln_dynvor_ene = .true.  !  enstrophy conserving scheme
+   ln_dynvor_ens = .false. !  energy conserving scheme
+   ln_dynvor_mix = .false. !  mixed scheme
+   ln_dynvor_een = .false. !  energy & enstrophy scheme
+      nn_een_e3f = 1             !  e3f = masked averaging of e3t divided by 4 (=0) or by the sum of mask (=1)
 /
 !-----------------------------------------------------------------------
@@ -239,8 +240,4 @@
    rn_ahm_b      =      0.     !  background eddy viscosity for ldf_iso [m2/s]
    rn_bhm_0      =      0.     !  horizontal bilaplacian eddy viscosity [m4/s]
-   !
-   ! Caution in 20 and 30 cases the coefficient have to be given for a 1 degree grid (~111km)
-/
-   rn_ahm_0_lap     = 100000.   !  horizontal laplacian eddy viscosity   [m2/s]
 /
 !-----------------------------------------------------------------------
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 8841)
@@ -31,5 +31,5 @@
       !                    !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
    ln_write_cfg= .false.   !  (=T) create the domain configuration file
-   !
+!
 /
 !-----------------------------------------------------------------------
@@ -60,5 +60,5 @@
 !-----------------------------------------------------------------------
    nn_fsbc     = 1         !  frequency of surface boundary condition computation
-   !                       !     (also = the frequency of sea-ice model call)
+                           !     (also = the frequency of sea-ice model call)
    ln_usr      = .true.    !  user defined formulation                  (T => check usrdef_sbc)
    ln_blk      = .false.   !  Bulk formulation                          (T => fill namsbc_blk )
@@ -240,8 +240,4 @@
    rn_ahm_b      =      0.     !  background eddy viscosity for ldf_iso [m2/s]
    rn_bhm_0      =      0.     !  horizontal bilaplacian eddy viscosity [m4/s]
-   !
-   ! Caution in 20 and 30 cases the coefficient have to be given for a 1 degree grid (~111km)
-/
-   rn_ahm_0_lap     = 100000.   !  horizontal laplacian eddy viscosity   [m2/s]
 /
 !-----------------------------------------------------------------------
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/GYRE_PISCES/cpp_GYRE_PISCES.fcm
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/GYRE_PISCES/cpp_GYRE_PISCES.fcm	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/GYRE_PISCES/cpp_GYRE_PISCES.fcm	(revision 8841)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_zdftke key_top key_mpp_mpi
+bld::tool::fppkeys key_zdftke key_top key_mpp_mpi key_iomput
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/1_namelist_cfg
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/1_namelist_cfg	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/1_namelist_cfg	(revision 8841)
@@ -20,9 +20,4 @@
 /
 !-----------------------------------------------------------------------
-&namzgr        !   vertical coordinate
-!-----------------------------------------------------------------------
-   ln_zps      = .true.    !  z-coordinate - partial steps
-/
-!-----------------------------------------------------------------------
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------  
@@ -46,5 +41,5 @@
 !-----------------------------------------------------------------------
    ln_blk      = .true.    !  CORE bulk formulation                     (T => fill namsbc_core)
-   nn_ice      = 0         !  =0 no ice boundary condition   ,
+   nn_ice      = 3         !  =0 no ice boundary condition   ,
                            !  =1 use observed ice-cover      ,
                            !  =2 ice-model used                         ("key_lim3" or "key_lim2)
@@ -90,4 +85,5 @@
 &namagrif      !  AGRIF zoom                                            ("key_agrif")
 !-----------------------------------------------------------------------
+   nn_cln_update =    1    !  baroclinic update frequency
 /
 !-----------------------------------------------------------------------
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/1_namelist_ice_ref
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/1_namelist_ice_ref	(revision 8841)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/1_namelist_ice_ref	(revision 8841)
@@ -0,0 +1,1 @@
+link ../../SHARED/1_namelist_ice_ref
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_cfg	(revision 8841)
@@ -17,9 +17,4 @@
       !                    !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
       cn_domcfg = "ORCA_R2_zps_domcfg"    ! domain configuration filename
-/
-!-----------------------------------------------------------------------
-&namzgr        !   vertical coordinate
-!-----------------------------------------------------------------------
-   ln_zps      = .true.    !  z-coordinate - partial steps
 /
 !-----------------------------------------------------------------------
@@ -105,4 +100,9 @@
 /
 !-----------------------------------------------------------------------
+&namagrif      !  AGRIF zoom                                            ("key_agrif")
+!-----------------------------------------------------------------------
+   nn_cln_update =    3    !  baroclinic update frequency
+/
+!-----------------------------------------------------------------------
 &nambfr        !   bottom friction
 !-----------------------------------------------------------------------
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/SHARED/1_namelist_ice_ref
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/SHARED/1_namelist_ice_ref	(revision 8841)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/SHARED/1_namelist_ice_ref	(revision 8841)
@@ -0,0 +1,1 @@
+link namelist_ice_lim3_ref
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 8841)
@@ -59,5 +59,4 @@
 !!======================================================================
 !!   namcfg       parameters of the configuration
-!!   namzgr       vertical coordinate                                   (default: NO selection)
 !!   namdom       space and time domain (bathymetry, mesh, timestep)
 !!   namwad       Wetting and drying                                    (default F)
@@ -1125,14 +1124,4 @@
 /
 !-----------------------------------------------------------------------
-&namnc4        !   netcdf4 chunking and compression settings            ("key_netcdf4")
-!-----------------------------------------------------------------------
-   ln_diatmb   = .false.   !  Choose Top Middle and Bottom output or not
-/
-!-----------------------------------------------------------------------
-&nam_dia25h    !  25h Mean Output                                        (default F)
-!-----------------------------------------------------------------------
-   ln_dia25h   = .false.   ! Choose 25h mean output or not
-/
-!-----------------------------------------------------------------------
 &namnc4        !   netcdf4 chunking and compression settings             ("key_netcdf4")
 !-----------------------------------------------------------------------
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/EXP00/namelist_cfg
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/EXP00/namelist_cfg	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/EXP00/namelist_cfg	(revision 8841)
@@ -5,7 +5,5 @@
 &namusr_def    !   ISOMIP user defined namelist  
 !-----------------------------------------------------------------------
-   ln_zco      = .false.      ! z-coordinate
    ln_zps      = .true.       ! z-partial-step coordinate
-   ln_sco      = .false.      ! s-coordinate
    rn_lam0     =   0.0        !  longitude of first raw and column T-point (jphgr_msh = 1)
    rn_phi0     = -80.0        ! latitude  of first raw and column T-point (jphgr_msh = 1)
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_hgr.F90
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_hgr.F90	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_hgr.F90	(revision 8841)
@@ -94,4 +94,5 @@
             pphiv(ji,jj) = rn_phi0 + rn_e2deg * zvj
             pphif(ji,jj) = rn_phi0 + rn_e2deg * zfj
+     !                       !==  Horizontal scale factors  ==!   (in meters)
      ! e1
             pe1t(ji,jj) = ra * rad * COS( rad * pphit(ji,jj) ) * rn_e1deg
@@ -106,6 +107,16 @@
          END DO
       END DO
+      !                             ! NO reduction of grid size in some straits 
+      ke1e2u_v = 0                  !    ==>> u_ & v_surfaces will be computed in dom_ghr routine
+      pe1e2u(:,:) = 0._wp           !    CAUTION: set to zero to avoid error with some compilers that
+      pe1e2v(:,:) = 0._wp           !             require an initialization of INTENT(out) arguments
       !
-      kff = 0 ! Coriolis parameter calculated on the sphere
+      !
+      !                       !==  Coriolis parameter  ==!
+      kff = 0                       ! Coriolis parameter calculated on the sphere
+      !
+      !
+      pff_f(:,:) = 0._wp            ! CAUTION: set to zero to avoid error with some compilers that
+      pff_t(:,:) = 0._wp            !             require an initialization of INTENT(out) arguments
       !
       IF( nn_timing == 1 )  CALL timing_stop('usr_def_hgr')
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_zgr.F90
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_zgr.F90	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_zgr.F90	(revision 8841)
@@ -80,6 +80,9 @@
       ! type of vertical coordinate
       ! ---------------------------
-      ! already set in usrdef_nam.F90 by reading the namusr_def namelist except for ISF
-      ld_isfcav = .TRUE.
+      ! set in usrdef_nam.F90 by reading the namusr_def namelist except for ISF
+      ln_zco    = .FALSE.      ! z-partial-step coordinate
+      ln_zps    = .TRUE.       ! z-partial-step coordinate
+      ln_sco    = .FALSE.      ! s-coordinate
+      ld_isfcav = .TRUE.       ! ISF Ice Shelves Flag
       !
       !
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_cfg
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_cfg	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_cfg	(revision 8841)
@@ -78,9 +78,8 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   ln_teos10   = .false.         !  = Use TEOS-10 equation of state
-   ln_eos80    = .true.          !  = Use EOS80 equation of state
+   ln_seos     = .true.         !  = Use simplified equation of state (S-EOS)
    !                             !  rd(T,S,Z)*rau0 = -a0*(1+.5*lambda*dT+mu*Z+nu*dS)*dT+b0*dS
-   rn_a0       =  0.2         !  thermal expension coefficient (nn_eos= 1)
-   rn_b0       =  0.          !  saline  expension coefficient (nn_eos= 1)
+   rn_a0       =  0.2         !  thermal expension coefficient (for simplified equation of state)
+   rn_b0       =  0.          !  saline  expension coefficient (for simplified equation of state)
    rn_lambda1  =  0.          !  cabbeling coeff in T^2  (=0 for linear eos)
    rn_lambda2  =  0.          !  cabbeling coeff in S^2  (=0 for linear eos)
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_sco_FCT2_flux_ubs_cfg
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_sco_FCT2_flux_ubs_cfg	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_sco_FCT2_flux_ubs_cfg	(revision 8841)
@@ -78,9 +78,8 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   ln_teos10   = .false.         !  = Use TEOS-10 equation of state
-   ln_eos80    = .true.          !  = Use EOS80 equation of state
+   ln_seos     = .true.         !  = Use simplified equation of state (S-EOS)
    !                             !  rd(T,S,Z)*rau0 = -a0*(1+.5*lambda*dT+mu*Z+nu*dS)*dT+b0*dS
-   rn_a0       =  0.2         !  thermal expension coefficient (nn_eos= 1)
-   rn_b0       =  0.          !  saline  expension coefficient (nn_eos= 1)
+   rn_a0       =  0.2         !  thermal expension coefficient (for simplified equation of state)
+   rn_b0       =  0.          !  saline  expension coefficient (for simplified equation of state)
    rn_lambda1  =  0.          !  cabbeling coeff in T^2  (=0 for linear eos)
    rn_lambda2  =  0.          !  cabbeling coeff in S^2  (=0 for linear eos)
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_zps_FCT2_flux_ubs_cfg
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_zps_FCT2_flux_ubs_cfg	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_zps_FCT2_flux_ubs_cfg	(revision 8841)
@@ -78,9 +78,8 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   ln_teos10   = .false.         !  = Use TEOS-10 equation of state
-   ln_eos80    = .true.          !  = Use EOS80 equation of state
+   ln_seos     = .true.         !  = Use simplified equation of state (S-EOS)
    !                             !  rd(T,S,Z)*rau0 = -a0*(1+.5*lambda*dT+mu*Z+nu*dS)*dT+b0*dS
-   rn_a0       =  0.2         !  thermal expension coefficient (nn_eos= 1)
-   rn_b0       =  0.          !  saline  expension coefficient (nn_eos= 1)
+   rn_a0       =  0.2         !  thermal expension coefficient (for simplified equation of state)
+   rn_b0       =  0.          !  saline  expension coefficient (for simplified equation of state)
    rn_lambda1  =  0.          !  cabbeling coeff in T^2  (=0 for linear eos)
    rn_lambda2  =  0.          !  cabbeling coeff in S^2  (=0 for linear eos)
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_zps_FCT4_flux_ubs_cfg
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_zps_FCT4_flux_ubs_cfg	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_zps_FCT4_flux_ubs_cfg	(revision 8841)
@@ -78,9 +78,8 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   ln_teos10   = .false.         !  = Use TEOS-10 equation of state
-   ln_eos80    = .true.          !  = Use EOS80 equation of state
+   ln_seos     = .true.         !  = Use simplified equation of state (S-EOS)
    !                             !  rd(T,S,Z)*rau0 = -a0*(1+.5*lambda*dT+mu*Z+nu*dS)*dT+b0*dS
-   rn_a0       =  0.2         !  thermal expension coefficient (nn_eos= 1)
-   rn_b0       =  0.          !  saline  expension coefficient (nn_eos= 1)
+   rn_a0       =  0.2         !  thermal expension coefficient (for simplified equation of state)
+   rn_b0       =  0.          !  saline  expension coefficient (for simplified equation of state)
    rn_lambda1  =  0.          !  cabbeling coeff in T^2  (=0 for linear eos)
    rn_lambda2  =  0.          !  cabbeling coeff in S^2  (=0 for linear eos)
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_zps_FCT4_vect_een_cfg
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_zps_FCT4_vect_een_cfg	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/EXP00/namelist_zps_FCT4_vect_een_cfg	(revision 8841)
@@ -78,9 +78,8 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   ln_teos10   = .false.         !  = Use TEOS-10 equation of state
-   ln_eos80    = .true.          !  = Use EOS80 equation of state
+   ln_seos     = .true.         !  = Use simplified equation of state (S-EOS)
    !                             !  rd(T,S,Z)*rau0 = -a0*(1+.5*lambda*dT+mu*Z+nu*dS)*dT+b0*dS
-   rn_a0       =  0.2         !  thermal expension coefficient (nn_eos= 1)
-   rn_b0       =  0.          !  saline  expension coefficient (nn_eos= 1)
+   rn_a0       =  0.2         !  thermal expension coefficient (for simplified equation of state)
+   rn_b0       =  0.          !  saline  expension coefficient (for simplified equation of state)
    rn_lambda1  =  0.          !  cabbeling coeff in T^2  (=0 for linear eos)
    rn_lambda2  =  0.          !  cabbeling coeff in S^2  (=0 for linear eos)
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_cfg
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_cfg	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/EXP00/namelist_cfg	(revision 8841)
@@ -26,5 +26,5 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
+   ln_linssh   = .true.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
    nn_msh      =    1      !  create (>0) a mesh file or not (=0)
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/makenemo
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/makenemo	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/CONFIG/makenemo	(revision 8841)
@@ -63,5 +63,5 @@
 # ::
 #
-#  $ ./makenemo -m ifort_osx - j3 -n ORCA2_LIM
+#  $ ./makenemo -m ifort_osx - j3 -n ORCA2_LIM3_PISCES
 #
 #
@@ -221,5 +221,5 @@
 	*)
 	    echo " \"$1\" BAD OPTION"
-	    exit
+	    exit 2
 	    ;;
 
@@ -267,10 +267,10 @@
 #-
 #- Choose a default configuration if needed ---
-#- ORCA2_LIM or last one used ---
+#- ORCA2_LIM3_PISCES or last one used ---
 . ${COMPIL_DIR}/Fcheck_config.sh cfg.txt ${NEW_CONF} || exit
 
 if [ ${#NEW_CONF} -eq 0 ] ; then
     if [ ${#NEM_SUBDIR} -eq 0 ] && [ ${#REF_CONF} -eq 0 ] && [ ${#USP_CONF} -eq 0 ] ; then
-	echo "You are installing a new default (ORCA2_LIM) configuration"
+	echo "You are installing a new default (ORCA2_LIM3_PISCES) configuration"
 	ind=0
 	. ${COMPIL_DIR}/Fread_dir.sh OPA_SRC	 YES
@@ -280,9 +280,11 @@
 	. ${COMPIL_DIR}/Fread_dir.sh NST_SRC	 YES
 	. ${COMPIL_DIR}/Fread_dir.sh OFF_SRC	 NO
-	REF_CONF=ORCA2_LIM
+	. ${COMPIL_DIR}/Fread_dir.sh SAO_SRC	 NO
+	. ${COMPIL_DIR}/Fread_dir.sh SAS_SRC	 NO
+	REF_CONF=ORCA2_LIM3_PISCES
     elif [ ${#NEM_SUBDIR} -gt 0 ] && [ ${#REF_CONF} -eq 0 ] && [ ${#USP_CONF} -eq 0 ] ; then
-	echo "You are  installing a new configuration based on ORCA2_LIM"
+	echo "You are  installing a new configuration based on ORCA2_LIM3_PISCES"
 	TAB=( ${NEM_SUBDIR} )
-	REF_CONF=ORCA2_LIM
+	REF_CONF=ORCA2_LIM3_PISCES
     elif [ ${#NEM_SUBDIR} -eq 0 ] && [ ${#REF_CONF} -gt 0 ]; then
 	echo "You are  installing a new configuration based on ${REF_CONF}"
@@ -320,7 +322,7 @@
 #- Clean links and librairies ---
 #- Creating the good links, at first on OPA_SRC ---
-. ${COMPIL_DIR}/Fmake_WORK.sh ${x_e} ${NEW_CONF} ${TAB[*]} || exit
-
-. ${COMPIL_DIR}/Fmake_bld.sh ${CONFIG_DIR} ${NEW_CONF}  ${NEMO_TDIR} || exit
+. ${COMPIL_DIR}/Fmake_WORK.sh ${x_e} ${NEW_CONF} ${TAB[*]} || exit 3
+
+. ${COMPIL_DIR}/Fmake_bld.sh ${CONFIG_DIR} ${NEW_CONF}  ${NEMO_TDIR} || exit 3
 
 # build the complete list of the cpp keys of this configuration
@@ -360,5 +362,5 @@
 #- At this stage cpp keys have been updated. we can check the arch file
 #- When used for the first time, choose a compiler ---
-. ${COMPIL_DIR}/Fcheck_archfile.sh arch_nemo.fcm cpp.fcm ${CMP_NAM} || exit
+. ${COMPIL_DIR}/Fcheck_archfile.sh arch_nemo.fcm cpp.fcm ${CMP_NAM} || exit 3
 
 #- At this stage the configuration has beeen chosen
@@ -368,5 +370,5 @@
 #- We look after agrif
 grep key_agrif ${COMPIL_DIR}/cpp.fcm && export AGRIFUSE=1 && export USEBLD=${USEBLD/xag/}
-. ${COMPIL_DIR}/Fprep_agrif.sh ${NEW_CONF} ${NEMO_TDIR} || exit
+. ${COMPIL_DIR}/Fprep_agrif.sh ${NEW_CONF} ${NEMO_TDIR} || exit 3
 
 #-
@@ -383,5 +385,5 @@
     if [ ${#x_c} -eq 0 ]; then
        if [ "$AGRIFUSE" == 1 ]; then 
-          fcm build --ignore-lock  -j 1 ${COMPIL_DIR}/bld_preproagr.cfg ||{ cd - ; exit ;}
+          fcm build --ignore-lock  -j 1 ${COMPIL_DIR}/bld_preproagr.cfg ||{ cd - ; exit 1 ;}
           echo ""
           echo "---------------------------------"
@@ -391,5 +393,5 @@
        fi
     fi
-    fcm build ${x_c} --ignore-lock -v ${x_v} -j ${NBR_PRC} ${COMPIL_DIR}/$USEBLD || cd -
+    fcm build ${x_c} --ignore-lock -v ${x_v} -j ${NBR_PRC} ${COMPIL_DIR}/$USEBLD ||{ cd - ; exit 1 ;}
     [ -f ${NEMO_TDIR}/${NEW_CONF}/BLD/bin/nemo.exe ] && ln -sf ${NEMO_TDIR}/${NEW_CONF}/BLD/bin/nemo.exe  ${CONFIG_DIR}/${NEW_CONF}/EXP00/opa
 
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/NEMO/LIM_SRC_3/limthd.F90	(revision 8841)
@@ -205,6 +205,9 @@
       IF( .NOT. ln_limdO )  qlead(:,:) = 0._wp
       ! In case we bypass growing/melting from top and bottom: we suppose ice is impermeable => ocean is isolated from atmosphere
-      IF( .NOT. ln_limdH )  hfx_in(:,:) = pfrld(:,:) * ( qns_oce(:,:) + qsr_oce(:,:) ) + qemp_oce(:,:)
-      IF( .NOT. ln_limdH )  fhtur (:,:) = 0._wp  ;  fhld  (:,:) = 0._wp
+      IF( .NOT. ln_limdH ) THEN
+         hfx_in(:,:) = pfrld(:,:) * ( qns_oce(:,:) + qsr_oce(:,:) ) + qemp_oce(:,:)
+         fhtur (:,:) = 0._wp
+         fhld  (:,:) = 0._wp
+      ENDIF
 
       ! ---------------------------------------------------------------------
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90	(revision 8841)
@@ -548,39 +548,39 @@
 
       ! Find the factors of n.
-      IF( kn == 1 )   GOTO 20
-
-      ! nu holds the unfactorised part of the number.
-      ! knfax holds the number of factors found.
-      ! l points to the allowed factor list.
-      ! ifac holds the current factor.
-
-      inu   = kn
-      knfax = 0
-
-      DO jl = ntest, 1, -1
-         !
-         ifac = ilfax(jl)
-         IF( ifac > inu )   CYCLE
-
-         ! Test whether the factor will divide.
-
-         IF( MOD(inu,ifac) == 0 ) THEN
+      IF( kn .NE. 1 ) THEN
+
+         ! nu holds the unfactorised part of the number.
+         ! knfax holds the number of factors found.
+         ! l points to the allowed factor list.
+         ! ifac holds the current factor.
+   
+         inu   = kn
+         knfax = 0
+   
+         DO jl = ntest, 1, -1
             !
-            knfax = knfax + 1            ! Add the factor to the list
-            IF( knfax > kmaxfax ) THEN
-               kerr = 6
-               write (*,*) 'FACTOR: insufficient space in factor array ', knfax
-               return
+            ifac = ilfax(jl)
+            IF( ifac > inu )   CYCLE
+   
+            ! Test whether the factor will divide.
+   
+            IF( MOD(inu,ifac) == 0 ) THEN
+               !
+               knfax = knfax + 1            ! Add the factor to the list
+               IF( knfax > kmaxfax ) THEN
+                  kerr = 6
+                  write (*,*) 'FACTOR: insufficient space in factor array ', knfax
+                  return
+               ENDIF
+               kfax(knfax) = ifac
+               ! Store the other factor that goes with this one
+               knfax = knfax + 1
+               kfax(knfax) = inu / ifac
+               !WRITE (*,*) 'ARPDBG, factors ',knfax-1,' & ',knfax,' are ', kfax(knfax-1),' and ',kfax(knfax)
             ENDIF
-            kfax(knfax) = ifac
-            ! Store the other factor that goes with this one
-            knfax = knfax + 1
-            kfax(knfax) = inu / ifac
-            !WRITE (*,*) 'ARPDBG, factors ',knfax-1,' & ',knfax,' are ', kfax(knfax-1),' and ',kfax(knfax)
-         ENDIF
-         !
-      END DO
-
-   20 CONTINUE      ! Label 20 is the exit point from the factor search loop.
+            !
+         END DO
+   
+      ENDIF
       !
    END SUBROUTINE factorise
Index: /branches/UKMO/ROMS_WAD_7832/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- /branches/UKMO/ROMS_WAD_7832/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 8840)
+++ /branches/UKMO/ROMS_WAD_7832/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 8841)
@@ -86,4 +86,7 @@
    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::   ssh_bkg, ssh_bkginc   ! Background sea surface height and its increment
    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::   seaice_bkginc         ! Increment to the background sea ice conc
+#if defined key_cice && defined key_asminc
+   REAL(wp), DIMENSION(:,:), ALLOCATABLE ::   ndaice_da             ! ice increment tendency into CICE
+#endif
 
    !! * Substitutions
@@ -339,4 +342,7 @@
       ALLOCATE( ssh_iau(jpi,jpj)      )
 #endif
+#if defined key_cice && defined key_asminc
+      ALLOCATE( ndaice_da(jpi,jpj)      )
+#endif
       t_bkginc(:,:,:) = 0.0
       s_bkginc(:,:,:) = 0.0
@@ -347,4 +353,7 @@
 #if defined key_asminc
       ssh_iau(:,:)    = 0.0
+#endif
+#if defined key_cice && defined key_asminc
+      ndaice_da(:,:) = 0.0
 #endif
       IF ( ( ln_trainc ).OR.( ln_dyninc ).OR.( ln_sshinc ).OR.( ln_seaiceinc ) ) THEN
@@ -759,4 +768,10 @@
             ENDIF
             !
+#if defined key_asminc
+         ELSE IF( kt == nitiaufin_r+1 ) THEN
+            !
+            ssh_iau(:,:) = 0._wp
+            !
+#endif
          ENDIF
          !                          !-----------------------------------------
